Additional Services
Additional Services
Resources
/products/\{additionalServiceId\}
Methods
GET
Summary of changes
Additional services are now retrievable via GET /additional-services/{additionalServiceId}
The additionalServiceId can be retrieved from an associated trip product (GET /trips) that has the service as a bookable component
Alternatively, to query for additional services that are bookable for a certain trip, use the tripId query parameter (e.g. GET /additional-services?tripId={tripId})
Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /additional-services endpoint of the Partner API
Several fields have been removed or moved to a difference resource. See removed fields table for full details.
- Note: Additional services are returned only for trips where it is bookable as an add-on.
Request query parameter changes
| Description | Public API | Partner API | Type | Notes |
|---|---|---|---|---|
| **Trip ID Retrieve accommodations products that are bookable for this trip Id | n/a | tripId | string |
Response Changes
No xml feed existed for additional services; therefore, it has been excluded here.
| Description | XML Feed | Public API | Partner API | Type |
|---|---|---|---|---|
| Additional Service ID | n/a | id | id | string |
| Status | n/a | n/a | status | string |
| Flags | n/a | n/a | flags | "flags": [ "COMPLIMENTARY" ] |
| Name | n/a | name | name | string |
| Prices | n/a | prices | See prices table | array of objects |
Current request (deprecated)
The legacy Public API returned additional/ancillary services with only a name and price.
GET https://api.intrepidtravel.com/v2/additionalServices?productCode=SLEEPINGBAG
{
"id": 771,
"additionalServiceName": "Camping Sleeping bag hire",
"prices": [
{ "currencyCode": "AUD", "amount": 45 }
]
}
Updated request
The Partner API adds type/subtype classification and links each service to its cancellation policy.
GET https://api.partners.intrepidtravel.cloud/additional-services/{serviceCode}
{
"id": "129230",
"status": "AVAILABLE",
"flags": [
"COMPLIMENTARY"
],
"name": "Kilimanjaro Trek - Complimentary Sleeping Bag Hire ",
"prices": [[](#prices_json_sample)[...](#prices_json_sample)[]](#prices_json_sample)
}
Removed fields
| Removed Fields | XML Feed | Public API | Notes | Relevant Field (if applicable) |
|---|---|---|---|---|
| Removed | n/a | startDate | ||
| Removed | n/a | endDate | ||
| Removed | n/a | productTypeId | ||
| Removed | n/a | href | ||
| Removed | n/a | sequence | ||
| Removed | n/a | externalReference | ||
| Removed | n/a | code |